function [v] = C(u) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Christophe Prieur
% from a file of Ricardo Sanfelice
%
% Project: Simulation of a hybrid system
%
% Name: C.m
%
% Description: Flow set
%
% Version: 0.3
% Required files: -
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global eps0a eps1a ep0b eps1b option_simu;

% state
x1 = u(1);
x2 = u(2);
zeta1 = u(3);
z0 = u(4);
z1 = u(5);
q= u(6);

% keyboard

if option_simu == 2 % option of the hybrid system
    test_cond = 1; 
   
    % test to see if we are in C0
    if (q==0) & (0<=z0) & (z0<= eps0a) & (0<=z1) & (zeta1==0)
        test_cond = -1;
    end
     
    % test to see if we are in C1
     
    if (q==1) & (0==z0) & (eps1a<=z1)
        test_cond = -1;
    end
end

if option_simu == 1 % option for the nonlinear system
    test_cond = -1; %%% to be sure that we used the flow 
end

if test_cond <= 0  % flow condition
    v = 1;  % report flow
else
    v = 0;   % do not report flow
end