function [v] = D(u) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Christophe Prieur
% from a file of Ricardo Sanfelice
%
% Project: Simulation of a hybrid system
%
%
% Name: D.m
%
% Description: Jump set
%
% Version: 0.3
% Required files: -
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global eps0a eps1a ep0b eps1b option_simu;

% state
x1 = u(1);
x2 = u(2);
zeta1 = u(3);
z0 = u(4);
z1 = u(5);
q= u(6);

%keyboard

if option_simu == 2 % option of the hybrid system
    test_cond = -1; 
    
    % test to see if we are in D0
    if (q==0) & (zeta1==0) & (eps0a<=z0) & (0<=z1) 
        test_cond = 1;
    end
     
    % test to see if we are in D1
    if (q==1) & (0==z0) & (0<=z1) & (z1<=eps1a)
        test_cond = 1;
    end
end

if option_simu == 1 % option for the nonlinear system
    test_cond = -1; %%% to be sure that we used the flow 
end
%keyboard

if test_cond >= 0  % jump condition
    v = 1;  % report jump
else
    v = 0;   % do not report jump
end

