% numerical simulation for the 
% paper submitted for publication in IEEE
% C Prieur and A. Teel
% March 2010
% nonlinear example

clear all
%cd('/Users/cprieur/Documents/Travail/Recherche/Uniting/Simulations-nonlinear')

disp('simulations to illustrate Theorem 2');

% constants
global eps0a eps1a eps0b eps1b option_simu control_values;

% choice of the systems to be solved
% option_simu = 1; % nonlinear system (without jump)
% option_simu = 2; % hybrid system
% it induces modifications in the following m-files:
%  - C.m 
%  - D.m 
%  - f.m
% option_simu = 1 
option_simu = 2; 

disp('checking Assumption 2')
eps0b=1/3;
eps0a=1/4;
x1=sqrt(2*eps0b);
x2=sqrt(2*eps0b);
if -x1^2-0.5*x2^2+1.5*x1^6+x1^4 <0
    disp('choice of eps0b is fine')
else
    disp('choice of eps0b NOT fine')
end

eps1b=1/6;
eps1a=1/7;
x1=sqrt(2*eps1b);
if 1.5*x1^6+x1^4 -eps0a<0
    disp('choice of eps1b is fine')
else
    disp('choice of eps1b NOT fine')
end

% to save the contro values
control_values =[];
if option_simu==2
    disp('simulating the hybrid system')
else
    disp('simulating the nonlinear system')

end

% simulations of the hybrid/nonlinear system
runnl

disp('done')


