function out = g(u)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Christophe Prieur
% from a file of Ricardo Sanfelice
%
% Project: Simulation of a hybrid system
%
%
% Name: g.m
%
% Description: Jump map
%
% Version: 0.3
% Required files: -
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global eps0a eps1a ep0b eps1b option_simu;

% state
x1 = u(1);
x2 = u(2);
zeta1 = u(3);
z0 = u(4);
z1 = u(5);
q= u(6);

x1plus = x1;
x2plus = x2;
zeta1plus = (1-q)* zeta1;
z0plus = 0;
z1plus = z1;
qplus= 1-q;

out = [x1plus;x2plus;zeta1plus;z0plus;z1plus;qplus] ;